package com.jasamedika.medifirst2000.entities;

import java.util.Date;
import javax.persistence.*;
import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;
import javax.validation.constraints.NotNull;

@Entity
@Table(name = "PaketKunjunganPasien_T")
public class PaketKunjunganPasien extends BaseTransaction {

	@ManyToOne(fetch=FetchType.LAZY)
	@JoinColumn(name = "ObjectPaketFk")
	@NotNull(message="Object Paket Harus Diisi")
	@Caption(value="Object Paket")
	private Paket paket;

	@Column(name = "ObjectPaketFk", insertable=false, updatable=false, nullable = true)
	private Integer paketId;

	@ManyToOne(fetch=FetchType.LAZY)
	@JoinColumn(name = "NoCMFk")
	@NotNull(message="No C M Harus Diisi")
	@Caption(value="No C M")
	private Pasien pasien;

	@Column(name = "NoCMFk", insertable=false,updatable=false,nullable = true )
	private Integer pasienId;

	@Caption(value="No Paket")
	@NotNull(message="No Paket Harus Diisi")
	@Column(name = "NoPaket", nullable = true , length = 10)
	private String noPaket;

	@Caption(value="Qty Kunjungan Ke")
	@NotNull(message="Qty Kunjungan Ke Harus Diisi")
	@Column(name = "QtyKunjunganKe", nullable = true )
	private Byte qtyKunjunganKe;

	@Caption(value="Qty Maks Kunjungan")
	@NotNull(message="Qty Maks Kunjungan Harus Diisi")
	@Column(name = "QtyMaksKunjungan", nullable = true )
	private Byte qtyMaksKunjungan;

	@Caption(value="Tanggal Akhir Paket")
	@NotNull(message="Tanggal Ahir Paket Harus Diisi")
	@Column(name = "TglAkhirPaket", nullable = true )
	private Date tglAkhirPaket;

	@Caption(value="Tanggal Mulai Paket")
	@NotNull(message="Tanggal Mulai Paket Harus Diisi")
	@Column(name = "TglMulaiPaket", nullable = true )
	private Date tglMulaiPaket;

	public Paket getPaket() {
		return paket;
	}

	public void setPaket(Paket paket) {
		this.paket = paket;
	}

	public Integer getPaketId() {
		return paketId;
	}

	public void setPaketId(Integer paketId) {
		this.paketId = paketId;
	}

	public Pasien getPasien() {
		return pasien;
	}

	public void setPasien(Pasien pasien) {
		this.pasien = pasien;
	}

	public Integer getPasienId() {
		return pasienId;
	}

	public void setPasienId(Integer pasienId) {
		this.pasienId = pasienId;
	}

	public String getNoPaket() {
		return noPaket;
	}

	public void setNoPaket(String noPaket) {
		this.noPaket = noPaket;
	}

	public Byte getQtyKunjunganKe() {
		return qtyKunjunganKe;
	}

	public void setQtyKunjunganKe(Byte qtyKunjunganKe) {
		this.qtyKunjunganKe = qtyKunjunganKe;
	}

	public Byte getQtyMaksKunjungan() {
		return qtyMaksKunjungan;
	}

	public void setQtyMaksKunjungan(Byte qtyMaksKunjungan) {
		this.qtyMaksKunjungan = qtyMaksKunjungan;
	}

	public Date getTglAkhirPaket() {
		return tglAkhirPaket;
	}

	public void setTglAkhirPaket(Date tglAkhirPaket) {
		this.tglAkhirPaket = tglAkhirPaket;
	}

	public Date getTglMulaiPaket() {
		return tglMulaiPaket;
	}

	public void setTglMulaiPaket(Date tglMulaiPaket) {
		this.tglMulaiPaket = tglMulaiPaket;
	}
	
	

}

